FYI OPUS support for Rasberry Pi 3B+

JoeOIVOV

New Member
Joined
Sep 14, 2018
Messages
27
Reaction score
8
I've already tried from a fresh install, make menuselect and turned on OPUS and recompiled but same results. I've even installed a later version of OPUS 1.1.5 and tried that with the same results.

The only thing I've thinking is OPUS is not compatible with Raspberry Pi ARM processor?

Any suggestions?
 
Last edited:

wardmundy

Nerd Uno
Joined
Oct 12, 2007
Messages
15,316
Reaction score
2,697
Hi,

Does anyone have info on getting OPUS to work with latest version for Raspberry Pi 3B+?


The only thing I've thinking is OPUS is not compatible with Raspberry Pi ARM processor?
Correct. No OPUS module, of which we are aware, is available (yet) for ARM.
 

Jaron

New Member
Joined
Jan 23, 2019
Messages
1
Reaction score
1
Running Debian based Pi, libopus can be installed (easily) with > sudo apt-get install opus-tools
This has been available since August 2018 as far as i know.
 
  • Like
Reactions: wardmundy

wardmundy

Nerd Uno
Joined
Oct 12, 2007
Messages
15,316
Reaction score
2,697
Thanks, @Jaron. By all means, give it a try and let us know how it goes. You'll need to recompile Asterisk with OPUS after adding the package.
 

JoeOIVOV

New Member
Joined
Sep 14, 2018
Messages
27
Reaction score
8
Got it working:

Step #1:
Code:
cd /usr/lib/asterisk/modules/
wget https://sourceforge.net/p/raspbx/discussion/tutorials/thread/855b8b02/c915/attachment/codec_opus_open_source.so
Step #2: Enable the Opus codec in iPBX GUI > Settings > Asterisk Sip Setting > General Sip Setting > Audio Codec

Step #3:
Code:
fwconsole restart
asterisk -rx "core show codecs"
 
Last edited by a moderator:
  • Like
Reactions: wardmundy

Members online

PIAF 5 - Powered by 3CX

Forum statistics

Threads
22,508
Messages
138,482
Members
14,636
Latest member
REMOCOSTA